<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
       xmlns:context="http://www.springframework.org/schema/context"
       xmlns:tx="http://www.springframework.org/schema/tx"
    xsi:schemaLocation="http://www.springframework.org/schema/beans
    http://www.springframework.org/schema/beans/spring-beans.xsd
    http://www.springframework.org/schema/context
 http://www.springframework.org/schema/context/spring-context-4.0.xsd
       http://www.springframework.org/schema/tx
        http://www.springframework.org/schema/tx/spring-tx.xsd">

    <!--jar读外部文件（正式环境）
    <context:property-placeholder location="file:${user.dir}/config/datasource.properties" />-->

        <!--源码读内部文件（本地使用）-->
        <context:property-placeholder location="classpath:datasource.properties" />
    <!--dubbo 服务提供者应用名称 -->


    <!-- 子容器扫描指定的包路径，尽量与父容器不重复，否则会将父容器中已存在的bean包含进来，如果出现重名bean会导致子容器加载失败 -->
    <!--<context:component-scan base-package="com.ag.account,com.ag.test"/>-->
    <!--以下注释为计费独立测试 -->
    <context:component-scan base-package="com.ag"/>
    <bean id="dataSource" class="com.zaxxer.hikari.HikariDataSource">
        <property name="driverClassName" value="${jdbc.driverClassName}"/>
        <property name="jdbcUrl" value="${main.url}"/>
        <property name="username" value="${main.username}"/>
        <property name="password" value="${main.password}"/>

        <!-- 等待连接池分配连接的最大时长（毫秒），超过这个时长还没可用的连接则发生SQLException， 缺省:30秒
        <property name="connectionTimeout" value="30" />-->
        <!-- 一个连接idle状态的最大时长（毫秒），超时则被释放（retired），缺省:10分钟 -->
        <property name="idleTimeout" value="10"/>
        <!-- 一个连接的生命时长（毫秒），超时而且没被使用则被释放（retired），缺省:30分钟，建议设置比数据库超时时长少30秒，参考MySQL wait_timeout参数（show variables like '%timeout%';）
        <property name="maxLifetime" value="${maxLifetime}" /> -->
        <!-- 连接池中允许的最大连接数。缺省值：10；推荐的公式：((core_count * 2) + effective_spindle_count) -->
        <property name="maximumPoolSize" value="5"/>
        <property name="dataSourceProperties">
            <props>
                <prop key="remarksReporting">true</prop>
            </props>
        </property>
    </bean>
    <bean id="jdbcTemplateBusiness" class="org.springframework.jdbc.core.JdbcTemplate">
        <property name="dataSource" ref="dataSource"/>
    </bean>
    <!--<bean id="transactionManager"
          class="org.springframework.jdbc.datasource.DataSourceTransactionManager">
        <property name="dataSource" ref="dataSource"/>
    </bean>
    <tx:annotation-driven proxy-target-class="true"/>-->

    <!--<import resource="classpath*:/spring-redis.xml" />-->

</beans>